Browse the help center

Create advertiser custom parameter targeting

Creates a custom parameter targeting rule for the specified advertiser.

Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/{advertiserId}/targeting/custom/create.do

Creates a custom parameter targeting rule for the specified advertiser. Supports three modes: EXPRESSION for complex boolean expressions (e.g., '($p1==1 || $p1=="a") && ($p2>=12 && $p2<=22)'), VALUE for simple value matching, and SUBSTRING for partial string matching. When using VALUE or SUBSTRING modes, provide the operation and parameter fields. Requires UPDATE permission on the advertiser and MANAGE_DEMAND_TARGETING user permission.

Path Params

advertiserId integer required

Unique numeric ID of the advertiser

1234

Form Params

rule string required

Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist

INCLUDE

customValue string required

Custom targeting value — an expression, value, or substring depending on customType

premium_user

customType string

Optional custom target type — EXPRESSION, VALUE, or SUBSTRING

VALUE

operation string

Optional comparison operation — EQUALS, NOT_EQUALS, CONTAINS, or NOT_CONTAINS

EQUALS

parameter string

Optional parameter name for the operation value

segment

Responses

200

Success

400

Invalid targeting value

401

Unauthorized

403

Forbidden

404

Advertiser not found

500

Internal server error

Please disable Adblock
Are you using adblock? Disable it and reload the page to proceed to the destination page.

A registration has already been submitted from this page. Please try again in 10 minutes.